Get Job by Id and WF Id
Get Job by Id and WF Id
GET/v0/workflows/{workflow_id}/jobs/{job_id}
Authorisations
AuthorizationString
Path Parameters
workflow_idstringrequired
Unique identifier for the workflowjob_idstringrequired
Unique identifier for the job within the workflowResponse
OKapplication/json
created_bystring
Unique identifier of the user who created the jobstatusstring
Current status of the jobtime_takenstring
Total time taken by the jobidstring
Unique identifier of the jobtasksobject[]
List of tasks in this jobval_errorsobject[]
Validation errors encounteredspecinteger[]
Raw specification data for the jobcostinteger
Computational cost of the jobworkflow_idstring
Unique identifier of the workflow this job belongs toupdated_atstring
When the job was last updatedfinished_atstring
When the job was completedexec_created_atstring
When the job execution was createdexec_updated_atstring
When the job execution was last updatedcreated_atstring
When the job was createdestimated_durationinteger
Estimated time in seconds to complete the jobprogressstring
Completion percentage of the jobGet Job by Id and WF Id
1curl -X GET 'https://api.pixxel.space/v0/workflows/{workflow_id}/jobs/{job_id}' \2 -H 'Authorization: YOUR_API_KEY'
Response:
{"created_by": "string","status": "string","time_taken": "string","id": "string","tasks": [{"id": "string","info_logs": [0],"created_at": "string","updated_at": "string","finished_at": "string","estimated_time_duration": 0,"time_taken": "string","status": "string","state_msg": "string","inputs": [0],"result": [0],"depends_on": ["string"],"name": "string","progress": 0,"disclaimer": ["string"],"recv_time": "string","send_time": "string","block_inf_start_time": "string","block_inf_end_time": "string","block_info": {"id": "string","name": "string","version": "string"},"err_msg": "string","failure_type": "string"}],"val_errors": [{"from": "string","to": "string","err": "string","reason": "string","component_name": "string"}],"spec": [0],"cost": 0,"workflow_id": "string","updated_at": "string","finished_at": "string","exec_created_at": "string","exec_updated_at": "string","created_at": "string","estimated_duration": 0,"progress": "string"}